Subject: RE: [Megaco] s, t and o in SDP sent form MG to MGC

From: "Tom-PT Taylor"<[email-masked]>
Date: Mon, 25 Mar 2002 20:05:01 -0500

These lines are required in the MG->MGC direction.  We corrected Appendix I
in H.248v2 to reflect this.

-----Original Message-----
From: Aleksandr Ryabin [mailto:[email-masked]]
Sent: Monday, March 25, 2002 10:24 AM
To: [email-masked]
Subject: [Megaco] s, t and o in SDP sent form MG to MGC

Hi,
         I have a comment/question on usage of SDP when sent from MG to MGC.

Section 7.1.8 "Local and Remote Descriptors" in RFC says:
"When text encoding the protocol, the descriptors consist of session 
descriptions
as defined in SDP (RFC2327). In session descriptions sent from the MGC to 
the MG,
the following exceptions to the syntax of RFC 2327 are allowed:
the "s=", "t=" and "o=" lines are optional ..."

Which I guess implies that when SDP sent from MG to MGC then it should
conform
RFC2327 and thus "s=", "t=" and "o=" lines must be present.

Yet everywhere in examples, including resent "Megaco/H.248 Call flow
examples"
draft-ietf-megaco-callflows-00.txt these SDP parameters are missing in SDPs
sent from MG to MGC.

Can someone clarify ether these are also optional when sent from MG?
If yes, could you point to any wording in RFC/draft about it?

Thanks.
         Aleks

At 08:17 AM 3/25/2002, [email-masked] wrote:
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>This draft is a work item of the Media Gateway Control Working Group of 
>the IETF.
>
>         Title           : Megaco/H.248 Call flow examples
>         Author(s)       : M. Brahmanapally, P. Viswanadham, K. Gundamaraju
>         Filename        : draft-ietf-megaco-callflows-00.txt
>         Pages           : 270
>         Date            : 20-Mar-02
>
>This draft illustrates the usage of Megaco (version 1)
>protocol defined between the Media Gateway Controller and Media
>Gateway. In light of the vast features presently incorporated
>and continuously evolving features of the protocol, it serves the
>purpose of representing typical use case scenarios.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-megaco-callflows-00.txt
...

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: "Tom-PT Taylor"<[email-masked]>
Date: Mon, 25 Mar 2002 20:05:01 -0500

-----Original Message-----
From: Aleksandr Ryabin [mailto:[email-masked]]
Sent: Monday, March 25, 2002 10:24 AM
To: [email-masked]
Subject: [Megaco] s, t and o in SDP sent form MG to MGC

Hi,

Thanks.
         Aleks

...